import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MapComponent } from './components/map/map.component';
import { AuthGuard } from '@farmmaps/common';

const routes = [
    {
        path: '',
        component: MapComponent   
    },
    {
        path: ':xCenter/:yCenter/:zoom/:rotation/:baseLayer',
        component: MapComponent
    },
    {
       path: ':xCenter/:yCenter/:zoom/:rotation/:baseLayer/:queryState',
       component: MapComponent
    },
    {
       path: ':queryState', 
       component: MapComponent
    }
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
})
export class MapRoutingModule { }
