import { Component, Input } from '@angular/core';
import { Layer } from 'ol/layer';
import { Source } from 'ol/source';

@Component({
  selector: 'fm-map-zoom-to-show-alert',
  template: '<div *fmMapIfZoomToShow="layer$" class="alert alert-info"><i class="fas fa-search-plus" aria-hidden="true" i18n-title title="Add as layer"></i>&nbsp;<span i18n>Zoom in to show layer</span></div>'
})
export class ZoomToShowAlert {
  public layer$: Layer<Source>;
  @Input() 
  set layer(layer:Layer<Source>) {
     this.layer$ = layer;
  }
}

