import {Component, Input} from '@angular/core';
import {IHistogram, ILayer} from '../../../models/color.map';

@Component({
  selector: 'fm-map-histogram-details',
  templateUrl: './histogram-details.component.html',
  styles: ['.nopadding{\n' +
  '  padding: 0 !important;\n' +
  '  margin: 0 !important;\n' +
  '}']
})
export class HistogramDetailsComponent {

  @Input()
  histogram: IHistogram;

  showConfidenceInterval(): boolean {
    return this.histogram.confidence != null && this.histogram.confidence !== 1;
  }
}
